#Class for bonus object, which displays symbols below the fortress
import sf_object
import pygame
import random

class Bonus(object):
    """bonus symbol"""
    def __init__(self):
        super(Bonus, self).__init__()
        self.symbols = ["#", "&", "*", "%", "@"]
        self.x = 355
        self.y = 390
        self.visible = False
        self.font = pygame.font.Font("fonts/freesansbold.ttf", 28)
        self.bonus_symbol = "$"
        self.current_symbol = ''
        self.prior_symbol = ''
        self.flag = True
        self.probability = 0.3
	self.exists = True
    
        
    def draw(self, worldsurf):
        """draws bonus symbol to screen"""
        worldsurf.blit(self.font.render("%s"%self.current_symbol, 1, (255, 255, 0)), pygame.Rect(self.x, self.y, 150, 30))
    
    def get_new_symbol(self):
        """assigns new bonus symbol"""
        if random.random() < self.probability:
            self.current_symbol = self.bonus_symbol
        else:
            self.current_symbol = random.sample(self.symbols, 1)[0]
            self.flag = True
        

"""This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.


This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.


You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA"""
