import pygame

class Timer_Old(object):
    """basic game timer"""
    def __init__(self):
        super(Timer_Old, self).__init__()
        self.start_time = pygame.time.get_ticks()
        
    def elapsed(self):
        """time elapsed since timer created"""
        return (pygame.time.get_ticks() - self.start_time)
        
    def tick(self,ms):
	self.start_time -= ms

    def reset(self):
        """resets timer to current time"""
        self.start_time = pygame.time.get_ticks()
        
    def check(self):
        pass
        
class CountdownTimer(Timer_Old):
    """timer that does something upon expiration"""
    def __init__(self, time, function):
        super(CountdownTimer, self).__init__()
        self.time = time
        self.function = function
        
    def check(self):
        """determines whether timer triggers yet"""
        if (pygame.time.get_ticks() - self.start_time) >= self.time:
            self.function()
            return True
        else:
            return False

"""This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.


This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.


You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA"""
